> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kosli.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.kosli.com/feedback

```json
{
  "path": "/api-reference/environments/report-azure-web-and-function-apps-environment",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Report Azure Web and Function Apps environment

> [beta] Process a report for an Azure Web and Function Apps environment.



## OpenAPI

````yaml https://app.kosli.com/api/v2/openapi.json put /environments/{org}/{env_name}/report/azure-apps
openapi: 3.1.0
info:
  title: Kosli API
  summary: The API for communicating with Kosli
  description: >

    # Authentication 


    When making requests against Kosli API, you can authenticate your requests
    using a bearer token. 

    Set the bearer token in the request Authorization header to a valid API
    key. 

    API Keys can be personal or for service accounts. Check the [service
    accounts
    documentation](https://docs.kosli.com/getting_started/service-accounts/) for
    details. 


    ## Curl example


    ```shell

    curl -H "Authorization: Bearer <<your-api-key>>"
    https://app.kosli.com/api/v2/environments/<<your-org-name>>

    ```
  version: '2.0'
servers:
  - url: https://app.kosli.com/api/v2
    description: EU
  - url: https://app.us.kosli.com/api/v2
    description: US
security:
  - HTTPBearer: []
paths:
  /environments/{org}/{env_name}/report/azure-apps:
    put:
      tags:
        - Environments
      summary: Report Azure Web and Function Apps environment
      description: '[beta] Process a report for an Azure Web and Function Apps environment.'
      operationId: azure_apps_report_environments__org___env_name__report_azure_apps_put
      parameters:
        - name: env_name
          in: path
          required: true
          schema:
            type: string
            title: Env Name
        - name: org
          in: path
          required: true
          schema:
            type: string
            title: Org
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AzureAppsReport'
      responses:
        '200':
          description: Report processed successfully, no new snapshots to create
          content:
            application/json:
              schema: {}
        '201':
          description: Snapshot created
        '400':
          description: Invalid report data
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/fastapi_app__errors__ValidationErrorResponse___locals___ValidationErrorResponseModel__6
        '404':
          description: Environment Not Found
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/fastapi_app__errors__NotFoundResponse___locals___NotFoundResponseModel__20
      security:
        - HTTPBearer: []
        - HTTPBasic: []
components:
  schemas:
    AzureAppsReport:
      properties:
        type:
          type: string
          const: azure-apps
          title: Type
          description: Environment type
          default: azure-apps
        artifacts:
          items:
            $ref: '#/components/schemas/AzureAppsArtifact'
          type: array
          title: Artifacts
          description: all artifacts in the report
      additionalProperties: false
      type: object
      required:
        - artifacts
      title: AzureAppsReport
      description: Azure Web and Function Apps report containing artifacts
      examples:
        - artifacts:
            - app_kind: app
              app_name: my-azure-web-app
              creationTimestamp: 1632122962
              digests:
                acme/myapp:1.0.0: >-
                  c84295fa0722ab01c7e6e6472fbe6369cf40b1b302cf04bb06d97c820ce621a7
              digests_source: acr
    fastapi_app__errors__ValidationErrorResponse___locals___ValidationErrorResponseModel__6:
      properties:
        message:
          type: string
          title: Message
          description: Error message
        errors:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Errors
          description: Validation errors by field
      type: object
      required:
        - message
      title: ValidationErrorResponseModel
      description: Invalid report data
      examples:
        - errors:
            email: Field must be a valid email address
            name: Field cannot be empty
          message: Invalid report data
    fastapi_app__errors__NotFoundResponse___locals___NotFoundResponseModel__20:
      properties:
        message:
          type: string
          title: Message
          description: Error message
        errors:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Errors
          description: Validation errors by field
      type: object
      required:
        - message
      title: NotFoundResponseModel
      description: Environment not found
      examples:
        - message: Environment not found
    AzureAppsArtifact:
      properties:
        digests:
          additionalProperties:
            anyOf:
              - type: string
                pattern: ^[a-f0-9]{64}$
              - type: string
                const: ''
          type: object
          title: Digests
          description: Image name to sha256 fingerprint mapping
        digests_source:
          type: string
          enum:
            - acr
            - logs
            - kosli-cli
          title: Digests Source
          description: Source of the digests. Valid values are ['acr', 'logs', 'kosli-cli']
        app_name:
          type: string
          title: App Name
          description: Azure Web/Function app name
        app_kind:
          type: string
          title: App Kind
          description: Azure app kind
        creationTimestamp:
          type: integer
          title: Creationtimestamp
          description: Creation time stamp for the Web app in UTC
      additionalProperties: false
      type: object
      required:
        - digests
        - digests_source
        - app_name
        - app_kind
        - creationTimestamp
      title: AzureAppsArtifact
      description: Individual artifact in an Azure Web/Function Apps report
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````